{% set PageTitle = "Two step verification" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}

<div class="opv-main" id="opv-master">
  <div class="opv-master theme-cool-grey">
    <div class="opv-master__container container">
      <div class="opv-master__main">
        <div class="opv-master__left-content inline-submit">
          <div id="opv-left-nav"></div>

        </div>
        <div class="opv-master__right-content">
          <div id="opv-right-nav"></div>
        </div>
      </div>
    </div>
  </div>
</div>


{% endblock %}
{% block scripts %}

<script>

  ReactDOM.render(React.createElement(Components.OpvCustomAccessCodeForm,{
  }), document.getElementById("opv-left-nav"));
  ReactDOM.render(React.createElement(Components.Form, {
    endpoint: '#',
    heading: `2-step verification`,
    intro: `<p>As you are signing in on a device that we don’t recognise we have sent a 6-digit security code to the mobile phone number you entered when you created your account.</p>
            <span><b>Verification code</b></span>
            <p>A text message with a 6-digit code was just sent to 07*** ****89. You should receive it within the next 5 minutes</p>`,
    id: 'auth-step',
    submit: `Validate code`,
    isOpvForm: true,  
    groups: [
      {
        id: 'group1',
        fields: [
          {
            "type":"number",
            "placeholder":"",
            "size":"lg",            
            "isRequired": false,
            "isOpvField": true,
            "minLength": 0,
            "maxLength": 7,
            "id":"fe2",
            "name":"",
            "label":"Mobile phone number",
            "additional":"",
            "info":"",
            "value":null,
            "customError":"Please enter a valid Mobile number",
            "editButton":""
          },  
          {
            "id" : 'fe26',
            "type" : 'checkbox',
            "label" : '',
            "options": [{
              "label":'Don’t ask again on this computer',
              "value":'checkbox1',
              "selected":true,
            }]            
          }
        ]  
      }  
    ]
  }), document.getElementById('form-area'));

  ReactDOM.render(React.createElement(Components.OpvRightNav, {
    title: `Need some help?`,
    content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
    cta: `<img src="../../dist/images/icon/icon-faq.svg" />`,
    faqTxt: `FAQ`,
    theme: {
      themeName: 'cool-grey'
    },

    faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
  }), document.getElementById('opv-right-nav'));

</script>

{% endblock %}